# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module bash-completion-r1
GIT_COMMIT=ac925eb7279f4a6955df663a0128044a8a6b7593
MY_PV=${PV/_rc/-rc.}

DESCRIPTION="Kubernetes Package Manager"
HOMEPAGE="https://github.com/helm/helm https://helm.sh"

EGO_SUM=(
	"cloud.google.com/go v0.26.0/go.mod"
	"cloud.google.com/go v0.34.0/go.mod"
	"cloud.google.com/go v0.38.0"
	"cloud.google.com/go v0.38.0/go.mod"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
	"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
	"github.com/Azure/go-autorest/autorest v0.9.0"
	"github.com/Azure/go-autorest/autorest v0.9.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.5.0"
	"github.com/Azure/go-autorest/autorest/adal v0.5.0/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.1.0"
	"github.com/Azure/go-autorest/autorest/date v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.2.0"
	"github.com/Azure/go-autorest/autorest/mocks v0.2.0/go.mod"
	"github.com/Azure/go-autorest/logger v0.1.0"
	"github.com/Azure/go-autorest/logger v0.1.0/go.mod"
	"github.com/Azure/go-autorest/tracing v0.5.0"
	"github.com/Azure/go-autorest/tracing v0.5.0/go.mod"
	"github.com/BurntSushi/toml v0.3.1"
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
	"github.com/MakeNowJust/heredoc v0.0.0-20170808103936-bb23615498cd/go.mod"
	"github.com/MakeNowJust/heredoc v0.0.0-20171113091838-e9091a26100e"
	"github.com/MakeNowJust/heredoc v0.0.0-20171113091838-e9091a26100e/go.mod"
	"github.com/Masterminds/goutils v1.1.0"
	"github.com/Masterminds/goutils v1.1.0/go.mod"
	"github.com/Masterminds/semver/v3 v3.0.1"
	"github.com/Masterminds/semver/v3 v3.0.1/go.mod"
	"github.com/Masterminds/semver/v3 v3.0.3"
	"github.com/Masterminds/semver/v3 v3.0.3/go.mod"
	"github.com/Masterminds/sprig/v3 v3.0.0"
	"github.com/Masterminds/sprig/v3 v3.0.0/go.mod"
	"github.com/Masterminds/sprig/v3 v3.0.2"
	"github.com/Masterminds/sprig/v3 v3.0.2/go.mod"
	"github.com/Masterminds/vcs v1.13.0"
	"github.com/Masterminds/vcs v1.13.0/go.mod"
	"github.com/Microsoft/go-winio v0.4.11/go.mod"
	"github.com/Microsoft/go-winio v0.4.12"
	"github.com/Microsoft/go-winio v0.4.12/go.mod"
	"github.com/Microsoft/hcsshim v0.8.6"
	"github.com/Microsoft/hcsshim v0.8.6/go.mod"
	"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46"
	"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
	"github.com/PuerkitoBio/purell v1.0.0/go.mod"
	"github.com/PuerkitoBio/purell v1.1.0/go.mod"
	"github.com/PuerkitoBio/purell v1.1.1"
	"github.com/PuerkitoBio/purell v1.1.1/go.mod"
	"github.com/PuerkitoBio/urlesc v0.0.0-20160726150825-5bd2802263f2/go.mod"
	"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578"
	"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578/go.mod"
	"github.com/Shopify/logrus-bugsnag v0.0.0-20171204204709-577dee27f20d"
	"github.com/Shopify/logrus-bugsnag v0.0.0-20171204204709-577dee27f20d/go.mod"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
	"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
	"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
	"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20180720115003-f9ffefc3facf/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a"
	"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/beorn7/perks v1.0.0"
	"github.com/beorn7/perks v1.0.0/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/bitly/go-simplejson v0.5.0"
	"github.com/bitly/go-simplejson v0.5.0/go.mod"
	"github.com/blang/semver v3.5.0+incompatible"
	"github.com/blang/semver v3.5.0+incompatible/go.mod"
	"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869"
	"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869/go.mod"
	"github.com/bshuster-repo/logrus-logstash-hook v0.4.1"
	"github.com/bshuster-repo/logrus-logstash-hook v0.4.1/go.mod"
	"github.com/bugsnag/bugsnag-go v1.5.0"
	"github.com/bugsnag/bugsnag-go v1.5.0/go.mod"
	"github.com/bugsnag/panicwrap v1.2.0"
	"github.com/bugsnag/panicwrap v1.2.0/go.mod"
	"github.com/cespare/xxhash/v2 v2.1.0"
	"github.com/cespare/xxhash/v2 v2.1.0/go.mod"
	"github.com/chai2010/gettext-go v0.0.0-20160711120539-c6fed771bfd5"
	"github.com/chai2010/gettext-go v0.0.0-20160711120539-c6fed771bfd5/go.mod"
	"github.com/client9/misspell v0.3.4/go.mod"
	"github.com/containerd/containerd v1.3.0-beta.2.0.20190823190603-4a2f61c4f2b4"
	"github.com/containerd/containerd v1.3.0-beta.2.0.20190823190603-4a2f61c4f2b4/go.mod"
	"github.com/containerd/containerd v1.3.0"
	"github.com/containerd/containerd v1.3.0/go.mod"
	"github.com/containerd/continuity v0.0.0-20181203112020-004b46473808"
	"github.com/containerd/continuity v0.0.0-20181203112020-004b46473808/go.mod"
	"github.com/coreos/bbolt v1.3.1-coreos.6"
	"github.com/coreos/bbolt v1.3.1-coreos.6/go.mod"
	"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
	"github.com/coreos/etcd v3.3.15+incompatible"
	"github.com/coreos/etcd v3.3.15+incompatible/go.mod"
	"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
	"github.com/coreos/go-oidc v2.1.0+incompatible/go.mod"
	"github.com/coreos/go-semver v0.2.0/go.mod"
	"github.com/coreos/go-semver v0.3.0"
	"github.com/coreos/go-semver v0.3.0/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7"
	"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
	"github.com/coreos/pkg v0.0.0-20180108230652-97fdf19511ea"
	"github.com/coreos/pkg v0.0.0-20180108230652-97fdf19511ea/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10"
	"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
	"github.com/cyphar/filepath-securejoin v0.2.2"
	"github.com/cyphar/filepath-securejoin v0.2.2/go.mod"
	"github.com/davecgh/go-spew v0.0.0-20151105211317-5215b55f46b2/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/daviddengcn/go-colortext v0.0.0-20160507010035-511bcaf42ccd/go.mod"
	"github.com/deislabs/oras v0.7.0"
	"github.com/deislabs/oras v0.7.0/go.mod"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
	"github.com/dmcgowan/letsencrypt v0.0.0-20160928181947-1847a81d2087"
	"github.com/dmcgowan/letsencrypt v0.0.0-20160928181947-1847a81d2087/go.mod"
	"github.com/docker/cli v0.0.0-20190506213505-d88565df0c2d"
	"github.com/docker/cli v0.0.0-20190506213505-d88565df0c2d/go.mod"
	"github.com/docker/distribution v2.7.1-0.20190205005809-0d3efadf0154+incompatible/go.mod"
	"github.com/docker/distribution v2.7.1+incompatible"
	"github.com/docker/distribution v2.7.1+incompatible/go.mod"
	"github.com/docker/docker-credential-helpers v0.6.1"
	"github.com/docker/docker-credential-helpers v0.6.1/go.mod"
	"github.com/docker/go-connections v0.4.0"
	"github.com/docker/go-connections v0.4.0/go.mod"
	"github.com/docker/go-metrics v0.0.0-20181218153428-b84716841b82"
	"github.com/docker/go-metrics v0.0.0-20181218153428-b84716841b82/go.mod"
	"github.com/docker/go-units v0.3.3"
	"github.com/docker/go-units v0.3.3/go.mod"
	"github.com/docker/go-units v0.4.0"
	"github.com/docker/go-units v0.4.0/go.mod"
	"github.com/docker/libtrust v0.0.0-20160708172513-aabc10ec26b7"
	"github.com/docker/libtrust v0.0.0-20160708172513-aabc10ec26b7/go.mod"
	"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96/go.mod"
	"github.com/docker/spdystream v0.0.0-20181023171402-6480d4af844c"
	"github.com/docker/spdystream v0.0.0-20181023171402-6480d4af844c/go.mod"
	"github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815/go.mod"
	"github.com/elazarl/goproxy v0.0.0-20170405201442-c4fc26588b6e"
	"github.com/elazarl/goproxy v0.0.0-20170405201442-c4fc26588b6e/go.mod"
	"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
	"github.com/emicklei/go-restful v2.9.5+incompatible"
	"github.com/emicklei/go-restful v2.9.5+incompatible/go.mod"
	"github.com/emicklei/go-restful v2.11.1+incompatible"
	"github.com/emicklei/go-restful v2.11.1+incompatible/go.mod"
	"github.com/evanphx/json-patch v4.2.0+incompatible"
	"github.com/evanphx/json-patch v4.2.0+incompatible/go.mod"
	"github.com/evanphx/json-patch v4.5.0+incompatible"
	"github.com/evanphx/json-patch v4.5.0+incompatible/go.mod"
	"github.com/exponent-io/jsonpath v0.0.0-20151013193312-d6023ce2651d"
	"github.com/exponent-io/jsonpath v0.0.0-20151013193312-d6023ce2651d/go.mod"
	"github.com/fatih/camelcase v1.0.0/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/garyburd/redigo v1.6.0"
	"github.com/garyburd/redigo v1.6.0/go.mod"
	"github.com/ghodss/yaml v0.0.0-20150909031657-73d445a93680/go.mod"
	"github.com/ghodss/yaml v0.0.0-20180820084758-c7ce16629ff4/go.mod"
	"github.com/ghodss/yaml v1.0.0"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/globalsign/mgo v0.0.0-20180905125535-1ca0a4f7cbcb/go.mod"
	"github.com/globalsign/mgo v0.0.0-20181015135952-eeefdecb41b8"
	"github.com/globalsign/mgo v0.0.0-20181015135952-eeefdecb41b8/go.mod"
	"github.com/go-inf/inf v0.9.1"
	"github.com/go-inf/inf v0.9.1/go.mod"
	"github.com/go-kit/kit v0.8.0/go.mod"
	"github.com/go-kit/kit v0.9.0/go.mod"
	"github.com/go-logfmt/logfmt v0.3.0/go.mod"
	"github.com/go-logfmt/logfmt v0.4.0/go.mod"
	"github.com/go-logr/logr v0.1.0/go.mod"
	"github.com/go-openapi/analysis v0.0.0-20180825180245-b006789cd277/go.mod"
	"github.com/go-openapi/analysis v0.17.0/go.mod"
	"github.com/go-openapi/analysis v0.18.0/go.mod"
	"github.com/go-openapi/analysis v0.19.2"
	"github.com/go-openapi/analysis v0.19.2/go.mod"
	"github.com/go-openapi/errors v0.17.0/go.mod"
	"github.com/go-openapi/errors v0.18.0/go.mod"
	"github.com/go-openapi/errors v0.19.2"
	"github.com/go-openapi/errors v0.19.2/go.mod"
	"github.com/go-openapi/jsonpointer v0.0.0-20160704185906-46af16f9f7b1/go.mod"
	"github.com/go-openapi/jsonpointer v0.17.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.18.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.19.2"
	"github.com/go-openapi/jsonpointer v0.19.2/go.mod"
	"github.com/go-openapi/jsonpointer v0.19.3"
	"github.com/go-openapi/jsonpointer v0.19.3/go.mod"
	"github.com/go-openapi/jsonreference v0.0.0-20160704190145-13c6e3589ad9/go.mod"
	"github.com/go-openapi/jsonreference v0.17.0/go.mod"
	"github.com/go-openapi/jsonreference v0.18.0/go.mod"
	"github.com/go-openapi/jsonreference v0.19.2"
	"github.com/go-openapi/jsonreference v0.19.2/go.mod"
	"github.com/go-openapi/jsonreference v0.19.3"
	"github.com/go-openapi/jsonreference v0.19.3/go.mod"
	"github.com/go-openapi/loads v0.17.0/go.mod"
	"github.com/go-openapi/loads v0.18.0/go.mod"
	"github.com/go-openapi/loads v0.19.0/go.mod"
	"github.com/go-openapi/loads v0.19.2"
	"github.com/go-openapi/loads v0.19.2/go.mod"
	"github.com/go-openapi/runtime v0.0.0-20180920151709-4f900dc2ade9/go.mod"
	"github.com/go-openapi/runtime v0.19.0"
	"github.com/go-openapi/runtime v0.19.0/go.mod"
	"github.com/go-openapi/spec v0.0.0-20160808142527-6aced65f8501/go.mod"
	"github.com/go-openapi/spec v0.17.0/go.mod"
	"github.com/go-openapi/spec v0.18.0/go.mod"
	"github.com/go-openapi/spec v0.19.2"
	"github.com/go-openapi/spec v0.19.2/go.mod"
	"github.com/go-openapi/spec v0.19.4"
	"github.com/go-openapi/spec v0.19.4/go.mod"
	"github.com/go-openapi/strfmt v0.17.0/go.mod"
	"github.com/go-openapi/strfmt v0.18.0/go.mod"
	"github.com/go-openapi/strfmt v0.19.0"
	"github.com/go-openapi/strfmt v0.19.0/go.mod"
	"github.com/go-openapi/swag v0.0.0-20160704191624-1d0bd113de87/go.mod"
	"github.com/go-openapi/swag v0.17.0/go.mod"
	"github.com/go-openapi/swag v0.18.0/go.mod"
	"github.com/go-openapi/swag v0.19.2"
	"github.com/go-openapi/swag v0.19.2/go.mod"
	"github.com/go-openapi/swag v0.19.5"
	"github.com/go-openapi/swag v0.19.5/go.mod"
	"github.com/go-openapi/validate v0.18.0/go.mod"
	"github.com/go-openapi/validate v0.19.2"
	"github.com/go-openapi/validate v0.19.2/go.mod"
	"github.com/go-stack/stack v1.8.0"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/gobwas/glob v0.2.3"
	"github.com/gobwas/glob v0.2.3/go.mod"
	"github.com/gofrs/flock v0.7.1"
	"github.com/gofrs/flock v0.7.1/go.mod"
	"github.com/gofrs/uuid v3.2.0+incompatible"
	"github.com/gofrs/uuid v3.2.0+incompatible/go.mod"
	"github.com/gogo/protobuf v1.1.1/go.mod"
	"github.com/gogo/protobuf v1.2.1/go.mod"
	"github.com/gogo/protobuf v1.2.2-0.20190723190241-65acae22fc9d"
	"github.com/gogo/protobuf v1.2.2-0.20190723190241-65acae22fc9d/go.mod"
	"github.com/gogo/protobuf v1.3.1"
	"github.com/gogo/protobuf v1.3.1/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
	"github.com/golang/groupcache v0.0.0-20191027212112-611e8accdfc9"
	"github.com/golang/groupcache v0.0.0-20191027212112-611e8accdfc9/go.mod"
	"github.com/golang/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/mock v1.2.0/go.mod"
	"github.com/golang/protobuf v0.0.0-20161109072736-4bd1920723d7/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.1"
	"github.com/golang/protobuf v1.3.1/go.mod"
	"github.com/golang/protobuf v1.3.2"
	"github.com/golang/protobuf v1.3.2/go.mod"
	"github.com/golangplus/bytes v0.0.0-20160111154220-45c989fe5450/go.mod"
	"github.com/golangplus/fmt v0.0.0-20150411045040-2a5d6d7d2995/go.mod"
	"github.com/golangplus/testing v0.0.0-20180327235837-af21d9c3145e/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/btree v1.0.0"
	"github.com/google/btree v1.0.0/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.0"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/google/go-cmp v0.3.1"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/gofuzz v0.0.0-20161122191042-44d81051d367/go.mod"
	"github.com/google/gofuzz v1.0.0"
	"github.com/google/gofuzz v1.0.0/go.mod"
	"github.com/google/martian v2.1.0+incompatible/go.mod"
	"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
	"github.com/google/uuid v1.0.0/go.mod"
	"github.com/google/uuid v1.1.1"
	"github.com/google/uuid v1.1.1/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
	"github.com/googleapis/gnostic v0.0.0-20170729233727-0c5108395e2d/go.mod"
	"github.com/googleapis/gnostic v0.3.1"
	"github.com/googleapis/gnostic v0.3.1/go.mod"
	"github.com/gophercloud/gophercloud v0.1.0"
	"github.com/gophercloud/gophercloud v0.1.0/go.mod"
	"github.com/gorilla/handlers v1.4.0"
	"github.com/gorilla/handlers v1.4.0/go.mod"
	"github.com/gorilla/mux v1.7.0"
	"github.com/gorilla/mux v1.7.0/go.mod"
	"github.com/gorilla/websocket v1.4.0"
	"github.com/gorilla/websocket v1.4.0/go.mod"
	"github.com/gosuri/uitable v0.0.1"
	"github.com/gosuri/uitable v0.0.1/go.mod"
	"github.com/gregjones/httpcache v0.0.0-20170728041850-787624de3eb7/go.mod"
	"github.com/gregjones/httpcache v0.0.0-20181110185634-c63ab54fda8f"
	"github.com/gregjones/httpcache v0.0.0-20181110185634-c63ab54fda8f/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v0.0.0-20190222133341-cfaf5686ec79"
	"github.com/grpc-ecosystem/go-grpc-middleware v0.0.0-20190222133341-cfaf5686ec79/go.mod"
	"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0"
	"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.3.0/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/golang-lru v0.5.1"
	"github.com/hashicorp/golang-lru v0.5.1/go.mod"
	"github.com/hashicorp/golang-lru v0.5.3"
	"github.com/hashicorp/golang-lru v0.5.3/go.mod"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hpcloud/tail v1.0.0"
	"github.com/hpcloud/tail v1.0.0/go.mod"
	"github.com/huandu/xstrings v1.2.0"
	"github.com/huandu/xstrings v1.2.0/go.mod"
	"github.com/imdario/mergo v0.3.5/go.mod"
	"github.com/imdario/mergo v0.3.7"
	"github.com/imdario/mergo v0.3.7/go.mod"
	"github.com/imdario/mergo v0.3.8"
	"github.com/imdario/mergo v0.3.8/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/jonboulle/clockwork v0.1.0"
	"github.com/jonboulle/clockwork v0.1.0/go.mod"
	"github.com/json-iterator/go v0.0.0-20180612202835-f2b4162afba3/go.mod"
	"github.com/json-iterator/go v1.1.6/go.mod"
	"github.com/json-iterator/go v1.1.7"
	"github.com/json-iterator/go v1.1.7/go.mod"
	"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
	"github.com/julienschmidt/httprouter v1.2.0/go.mod"
	"github.com/kardianos/osext v0.0.0-20170510131534-ae77be60afb1"
	"github.com/kardianos/osext v0.0.0-20170510131534-ae77be60afb1/go.mod"
	"github.com/kisielk/errcheck v1.1.0/go.mod"
	"github.com/kisielk/errcheck v1.2.0/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
	"github.com/kr/pretty v0.1.0"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/pty v1.1.5/go.mod"
	"github.com/kr/text v0.1.0"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de"
	"github.com/liggitt/tabwriter v0.0.0-20181228230101-89fcab3d43de/go.mod"
	"github.com/lithammer/dedent v1.1.0/go.mod"
	"github.com/magiconair/properties v1.8.0/go.mod"
	"github.com/mailru/easyjson v0.0.0-20160728113105-d5b7844b561a/go.mod"
	"github.com/mailru/easyjson v0.0.0-20180823135443-60711f1a8329/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190312143242-1de009706dbe/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63"
	"github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
	"github.com/mailru/easyjson v0.7.0"
	"github.com/mailru/easyjson v0.7.0/go.mod"
	"github.com/mattn/go-runewidth v0.0.4"
	"github.com/mattn/go-runewidth v0.0.4/go.mod"
	"github.com/mattn/go-shellwords v1.0.5"
	"github.com/mattn/go-shellwords v1.0.5/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/miekg/dns v0.0.0-20181005163659-0d29b283ac0f"
	"github.com/miekg/dns v0.0.0-20181005163659-0d29b283ac0f/go.mod"
	"github.com/mitchellh/copystructure v1.0.0"
	"github.com/mitchellh/copystructure v1.0.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-wordwrap v1.0.0"
	"github.com/mitchellh/go-wordwrap v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/mitchellh/reflectwalk v1.0.0"
	"github.com/mitchellh/reflectwalk v1.0.0/go.mod"
	"github.com/moby/moby v0.7.3-0.20190826074503-38ab9da00309"
	"github.com/moby/moby v0.7.3-0.20190826074503-38ab9da00309/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180320133207-05fbef0ca5da/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
	"github.com/modern-go/reflect2 v1.0.1"
	"github.com/modern-go/reflect2 v1.0.1/go.mod"
	"github.com/morikuni/aec v0.0.0-20170113033406-39771216ff4c"
	"github.com/morikuni/aec v0.0.0-20170113033406-39771216ff4c/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
	"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
	"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f"
	"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
	"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
	"github.com/onsi/ginkgo v1.6.0/go.mod"
	"github.com/onsi/ginkgo v1.8.0"
	"github.com/onsi/ginkgo v1.8.0/go.mod"
	"github.com/onsi/ginkgo v1.10.1"
	"github.com/onsi/ginkgo v1.10.1/go.mod"
	"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
	"github.com/onsi/gomega v1.5.0"
	"github.com/onsi/gomega v1.5.0/go.mod"
	"github.com/onsi/gomega v1.7.0"
	"github.com/onsi/gomega v1.7.0/go.mod"
	"github.com/opencontainers/go-digest v1.0.0-rc1"
	"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
	"github.com/opencontainers/image-spec v1.0.1"
	"github.com/opencontainers/image-spec v1.0.1/go.mod"
	"github.com/opencontainers/runc v0.1.1"
	"github.com/opencontainers/runc v0.1.1/go.mod"
	"github.com/pborman/uuid v1.2.0"
	"github.com/pborman/uuid v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.2.0/go.mod"
	"github.com/peterbourgon/diskv v2.0.1+incompatible"
	"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
	"github.com/phayes/freeport v0.0.0-20171002181615-b8543db493a5"
	"github.com/phayes/freeport v0.0.0-20171002181615-b8543db493a5/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pmezard/go-difflib v0.0.0-20151028094244-d8ed2627bdf0/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/pquerna/cachecontrol v0.0.0-20171018203845-0dec1b30a021/go.mod"
	"github.com/prometheus/client_golang v0.9.1/go.mod"
	"github.com/prometheus/client_golang v0.9.2"
	"github.com/prometheus/client_golang v0.9.2/go.mod"
	"github.com/prometheus/client_golang v1.0.0"
	"github.com/prometheus/client_golang v1.0.0/go.mod"
	"github.com/prometheus/client_golang v1.2.1"
	"github.com/prometheus/client_golang v1.2.1/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90"
	"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
	"github.com/prometheus/common v0.0.0-20181126121408-4724e9255275/go.mod"
	"github.com/prometheus/common v0.2.0"
	"github.com/prometheus/common v0.2.0/go.mod"
	"github.com/prometheus/common v0.4.1"
	"github.com/prometheus/common v0.4.1/go.mod"
	"github.com/prometheus/common v0.7.0"
	"github.com/prometheus/common v0.7.0/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181204211112-1dc9a6cbc91a/go.mod"
	"github.com/prometheus/procfs v0.0.0-20190129233650-316cf8ccfec5"
	"github.com/prometheus/procfs v0.0.0-20190129233650-316cf8ccfec5/go.mod"
	"github.com/prometheus/procfs v0.0.2"
	"github.com/prometheus/procfs v0.0.2/go.mod"
	"github.com/prometheus/procfs v0.0.5"
	"github.com/prometheus/procfs v0.0.5/go.mod"
	"github.com/remyoudompheng/bigfft v0.0.0-20170806203942-52369c62f446/go.mod"
	"github.com/russross/blackfriday v1.5.2"
	"github.com/russross/blackfriday v1.5.2/go.mod"
	"github.com/sirupsen/logrus v1.2.0/go.mod"
	"github.com/sirupsen/logrus v1.4.2"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/soheilhy/cmux v0.1.3"
	"github.com/soheilhy/cmux v0.1.3/go.mod"
	"github.com/spf13/afero v1.1.2/go.mod"
	"github.com/spf13/afero v1.2.2"
	"github.com/spf13/afero v1.2.2/go.mod"
	"github.com/spf13/cast v1.3.0"
	"github.com/spf13/cast v1.3.0/go.mod"
	"github.com/spf13/cobra v0.0.3/go.mod"
	"github.com/spf13/cobra v0.0.5"
	"github.com/spf13/cobra v0.0.5/go.mod"
	"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
	"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
	"github.com/spf13/pflag v1.0.3"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/spf13/pflag v1.0.5"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/spf13/viper v1.3.2/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/objx v0.2.0/go.mod"
	"github.com/stretchr/testify v0.0.0-20151208002404-e3a8ff8ce365/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
	"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
	"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f"
	"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f/go.mod"
	"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415"
	"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415/go.mod"
	"github.com/xeipuuv/gojsonschema v1.1.0"
	"github.com/xeipuuv/gojsonschema v1.1.0/go.mod"
	"github.com/xenolf/lego v0.0.0-20160613233155-a9d8cec0e656/go.mod"
	"github.com/xenolf/lego v0.3.2-0.20160613233155-a9d8cec0e656"
	"github.com/xenolf/lego v0.3.2-0.20160613233155-a9d8cec0e656/go.mod"
	"github.com/xiang90/probing v0.0.0-20160813154853-07dd2e8dfe18"
	"github.com/xiang90/probing v0.0.0-20160813154853-07dd2e8dfe18/go.mod"
	"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
	"github.com/yvasiyarov/go-metrics v0.0.0-20150112132944-c25f46c4b940"
	"github.com/yvasiyarov/go-metrics v0.0.0-20150112132944-c25f46c4b940/go.mod"
	"github.com/yvasiyarov/gorelic v0.0.6"
	"github.com/yvasiyarov/gorelic v0.0.6/go.mod"
	"github.com/yvasiyarov/newrelic_platform_go v0.0.0-20140908184405-b21fdbd4370f"
	"github.com/yvasiyarov/newrelic_platform_go v0.0.0-20140908184405-b21fdbd4370f/go.mod"
	"go.opencensus.io v0.21.0/go.mod"
	"go.uber.org/atomic v0.0.0-20181018215023-8dc6146f7569"
	"go.uber.org/atomic v0.0.0-20181018215023-8dc6146f7569/go.mod"
	"go.uber.org/multierr v0.0.0-20180122172545-ddea229ff1df"
	"go.uber.org/multierr v0.0.0-20180122172545-ddea229ff1df/go.mod"
	"go.uber.org/zap v0.0.0-20180814183419-67bc79d13d15"
	"go.uber.org/zap v0.0.0-20180814183419-67bc79d13d15/go.mod"
	"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/crypto v0.0.0-20190211182817-74369b46fc67/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190320223903-b7391e95e576/go.mod"
	"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8"
	"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
	"golang.org/x/crypto v0.0.0-20190911031432-227b76d455e7"
	"golang.org/x/crypto v0.0.0-20190911031432-227b76d455e7/go.mod"
	"golang.org/x/crypto v0.0.0-20191028145041-f83a4685e152"
	"golang.org/x/crypto v0.0.0-20191028145041-f83a4685e152/go.mod"
	"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
	"golang.org/x/exp v0.0.0-20190125153040-c74c464bbbf2/go.mod"
	"golang.org/x/exp v0.0.0-20190312203227-4b39c73a6495/go.mod"
	"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
	"golang.org/x/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
	"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
	"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
	"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
	"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
	"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
	"golang.org/x/net v0.0.0-20170114055629-f2499483f923/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/net v0.0.0-20181005035420-146acd28ed58/go.mod"
	"golang.org/x/net v0.0.0-20181106065722-10aee1819953/go.mod"
	"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
	"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
	"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
	"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190320064053-1272bf9dcd53/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
	"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
	"golang.org/x/net v0.0.0-20190812203447-cdfb69ac37fc"
	"golang.org/x/net v0.0.0-20190812203447-cdfb69ac37fc/go.mod"
	"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
	"golang.org/x/net v0.0.0-20191028085509-fe3aa8a45271"
	"golang.org/x/net v0.0.0-20191028085509-fe3aa8a45271/go.mod"
	"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45"
	"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sys v0.0.0-20170830134202-bb24a47a89ea/go.mod"
	"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
	"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
	"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
	"golang.org/x/sys v0.0.0-20190209173611-3b5209105503/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
	"golang.org/x/sys v0.0.0-20190321052220-f7bb7a8bee54/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190616124812-15dcb6c0061f"
	"golang.org/x/sys v0.0.0-20190616124812-15dcb6c0061f/go.mod"
	"golang.org/x/sys v0.0.0-20191010194322-b09406accb47/go.mod"
	"golang.org/x/sys v0.0.0-20191028164358-195ce5e7f934"
	"golang.org/x/sys v0.0.0-20191028164358-195ce5e7f934/go.mod"
	"golang.org/x/text v0.0.0-20160726164857-2910a502d2bf/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
	"golang.org/x/text v0.3.2"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
	"golang.org/x/time v0.0.0-20191024005414-555d28b269f0"
	"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
	"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
	"golang.org/x/tools v0.0.0-20180828015842-6cd1fcedba52/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20181011042414-1f849cf54d09/go.mod"
	"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
	"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
	"golang.org/x/tools v0.0.0-20190206041539-40960b6deb8e/go.mod"
	"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
	"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
	"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
	"golang.org/x/tools v0.0.0-20190614205625-5aca471b1d59/go.mod"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
	"gonum.org/v1/gonum v0.0.0-20190331200053-3d26580ed485"
	"gonum.org/v1/gonum v0.0.0-20190331200053-3d26580ed485/go.mod"
	"gonum.org/v1/netlib v0.0.0-20190313105609-8cb42192e0e0/go.mod"
	"gonum.org/v1/netlib v0.0.0-20190331212654-76723241ea4e/go.mod"
	"google.golang.org/api v0.4.0/go.mod"
	"google.golang.org/appengine v1.1.0/go.mod"
	"google.golang.org/appengine v1.4.0/go.mod"
	"google.golang.org/appengine v1.5.0"
	"google.golang.org/appengine v1.5.0/go.mod"
	"google.golang.org/appengine v1.6.5"
	"google.golang.org/appengine v1.6.5/go.mod"
	"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
	"google.golang.org/genproto v0.0.0-20190128161407-8ac453e89fca/go.mod"
	"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
	"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7"
	"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
	"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873"
	"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
	"google.golang.org/genproto v0.0.0-20191028173616-919d9bdd9fe6"
	"google.golang.org/genproto v0.0.0-20191028173616-919d9bdd9fe6/go.mod"
	"google.golang.org/grpc v1.16.0/go.mod"
	"google.golang.org/grpc v1.19.0/go.mod"
	"google.golang.org/grpc v1.20.1"
	"google.golang.org/grpc v1.20.1/go.mod"
	"google.golang.org/grpc v1.23.0"
	"google.golang.org/grpc v1.23.0/go.mod"
	"google.golang.org/grpc v1.24.0"
	"google.golang.org/grpc v1.24.0/go.mod"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/fsnotify.v1 v1.4.7"
	"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
	"gopkg.in/inf.v0 v0.9.0"
	"gopkg.in/inf.v0 v0.9.0/go.mod"
	"gopkg.in/natefinch/lumberjack.v2 v2.0.0"
	"gopkg.in/natefinch/lumberjack.v2 v2.0.0/go.mod"
	"gopkg.in/square/go-jose.v1 v1.1.2"
	"gopkg.in/square/go-jose.v1 v1.1.2/go.mod"
	"gopkg.in/square/go-jose.v2 v2.2.2"
	"gopkg.in/square/go-jose.v2 v2.2.2/go.mod"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.4"
	"gopkg.in/yaml.v2 v2.2.4/go.mod"
	"gotest.tools v2.2.0+incompatible"
	"gotest.tools v2.2.0+incompatible/go.mod"
	"honnef.co/go/tools v0.0.0-20180728063816-88497007e858/go.mod"
	"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
	"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
	"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
	"k8s.io/api v0.0.0-20191016110408-35e52d86657a"
	"k8s.io/api v0.0.0-20191016110408-35e52d86657a/go.mod"
	"k8s.io/apiextensions-apiserver v0.0.0-20191016113550-5357c4baaf65"
	"k8s.io/apiextensions-apiserver v0.0.0-20191016113550-5357c4baaf65/go.mod"
	"k8s.io/apimachinery v0.0.0-20191004115801-a2eda9f80ab8"
	"k8s.io/apimachinery v0.0.0-20191004115801-a2eda9f80ab8/go.mod"
	"k8s.io/apiserver v0.0.0-20191016112112-5190913f932d"
	"k8s.io/apiserver v0.0.0-20191016112112-5190913f932d/go.mod"
	"k8s.io/cli-runtime v0.0.0-20191016114015-74ad18325ed5"
	"k8s.io/cli-runtime v0.0.0-20191016114015-74ad18325ed5/go.mod"
	"k8s.io/client-go v0.0.0-20191016111102-bec269661e48"
	"k8s.io/client-go v0.0.0-20191016111102-bec269661e48/go.mod"
	"k8s.io/code-generator v0.0.0-20191004115455-8e001e5d1894"
	"k8s.io/code-generator v0.0.0-20191004115455-8e001e5d1894/go.mod"
	"k8s.io/component-base v0.0.0-20191016111319-039242c015a9"
	"k8s.io/component-base v0.0.0-20191016111319-039242c015a9/go.mod"
	"k8s.io/gengo v0.0.0-20190128074634-0689ccc1d7d6/go.mod"
	"k8s.io/gengo v0.0.0-20190822140433-26a664648505"
	"k8s.io/gengo v0.0.0-20190822140433-26a664648505/go.mod"
	"k8s.io/klog v0.0.0-20181102134211-b9b56d5dfc92/go.mod"
	"k8s.io/klog v0.3.0/go.mod"
	"k8s.io/klog v0.4.0"
	"k8s.io/klog v0.4.0/go.mod"
	"k8s.io/klog v1.0.0"
	"k8s.io/klog v1.0.0/go.mod"
	"k8s.io/kube-openapi v0.0.0-20190816220812-743ec37842bf"
	"k8s.io/kube-openapi v0.0.0-20190816220812-743ec37842bf/go.mod"
	"k8s.io/kube-openapi v0.0.0-20190918143330-0270cf2f1c1d"
	"k8s.io/kube-openapi v0.0.0-20190918143330-0270cf2f1c1d/go.mod"
	"k8s.io/kubectl v0.0.0-20191016120415-2ed914427d51"
	"k8s.io/kubectl v0.0.0-20191016120415-2ed914427d51/go.mod"
	"k8s.io/metrics v0.0.0-20191016113814-3b1a734dba6e"
	"k8s.io/metrics v0.0.0-20191016113814-3b1a734dba6e/go.mod"
	"k8s.io/utils v0.0.0-20190801114015-581e00157fb1"
	"k8s.io/utils v0.0.0-20190801114015-581e00157fb1/go.mod"
	"k8s.io/utils v0.0.0-20191010214722-8d271d903fe4"
	"k8s.io/utils v0.0.0-20191010214722-8d271d903fe4/go.mod"
	"modernc.org/cc v1.0.0/go.mod"
	"modernc.org/golex v1.0.0/go.mod"
	"modernc.org/mathutil v1.0.0/go.mod"
	"modernc.org/strutil v1.0.0/go.mod"
	"modernc.org/xc v1.0.0/go.mod"
	"sigs.k8s.io/kustomize v2.0.3+incompatible"
	"sigs.k8s.io/kustomize v2.0.3+incompatible/go.mod"
	"sigs.k8s.io/structured-merge-diff v0.0.0-20190525122527-15d366b2352e/go.mod"
	"sigs.k8s.io/structured-merge-diff v0.0.0-20190817042607-6149e4549fca"
	"sigs.k8s.io/structured-merge-diff v0.0.0-20190817042607-6149e4549fca/go.mod"
	"sigs.k8s.io/yaml v1.1.0"
	"sigs.k8s.io/yaml v1.1.0/go.mod"
	)
go-module_set_globals
SRC_URI="https://github.com/helm/helm/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"

RESTRICT+=" test"

src_prepare() {
	default
	sed -i -e "s/git rev-parse HEAD/echo ${GIT_COMMIT}/"\
		-e "s/git rev-parse --short HEAD/echo ${GIT_COMMIT:0:7}/"\
		-e "s#git describe --tags --abbrev=0 --exact-match 2>/dev/null#echo v${PV}#"\
		-e 's/test -n "`git status --porcelain`" && echo "dirty" || //' \
		-e "/GOFLAGS    :=/d" \
		Makefile || die
}

src_compile() {
	emake LDFLAGS= build
	bin/${PN} completion bash > ${PN}.bash || die
	bin/${PN} completion zsh > ${PN}.zsh || die
}

src_install() {
	newbashcomp ${PN}.bash ${PN}
	insinto /usr/share/zsh/site-functions
	newins ${PN}.zsh _${PN}

	dobin bin/${PN}
	dodoc README.md
}
