# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit bash-completion-r1 go-module

DESCRIPTION="GitHub CLI"
HOMEPAGE="https://github.com/cli/cli"

EGO_SUM=(
	"github.com/akavel/rsrc v0.8.0/go.mod"
	"github.com/AlecAivazis/survey/v2 v2.0.4/go.mod"
	"github.com/AlecAivazis/survey/v2 v2.0.4"
	"github.com/alecthomas/assert v0.0.0-20170929043011-405dbfeb8e38/go.mod"
	"github.com/alecthomas/assert v0.0.0-20170929043011-405dbfeb8e38"
	"github.com/alecthomas/chroma v0.6.8/go.mod"
	"github.com/alecthomas/chroma v0.6.8"
	"github.com/alecthomas/colour v0.0.0-20160524082231-60882d9e2721/go.mod"
	"github.com/alecthomas/colour v0.0.0-20160524082231-60882d9e2721"
	"github.com/alecthomas/kong-hcl v0.1.8-0.20190615233001-b21fea9723c8/go.mod"
	"github.com/alecthomas/kong v0.1.17-0.20190424132513-439c674f7ae0/go.mod"
	"github.com/alecthomas/kong v0.2.1-0.20190708041108-0548c6b1afae/go.mod"
	"github.com/alecthomas/repr v0.0.0-20180818092828-117648cd9897/go.mod"
	"github.com/alecthomas/repr v0.0.0-20180818092828-117648cd9897"
	"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
	"github.com/aybabtme/rgbterm v0.0.0-20170906152045-cc83f3b3ce59/go.mod"
	"github.com/aybabtme/rgbterm v0.0.0-20170906152045-cc83f3b3ce59"
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/BurntSushi/toml v0.3.1"
	"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
	"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
	"github.com/coreos/go-semver v0.2.0/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10"
	"github.com/daaku/go.zipexe v1.0.0/go.mod"
	"github.com/danwakefield/fnmatch v0.0.0-20160403171240-cbb64ac3d964/go.mod"
	"github.com/danwakefield/fnmatch v0.0.0-20160403171240-cbb64ac3d964"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/dlclark/regexp2 v1.1.6/go.mod"
	"github.com/dlclark/regexp2 v1.1.6"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/GeertJohan/go.incremental v1.0.0/go.mod"
	"github.com/GeertJohan/go.rice v1.0.0/go.mod"
	"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510/go.mod"
	"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510"
	"github.com/gorilla/csrf v1.6.0/go.mod"
	"github.com/gorilla/handlers v1.4.1/go.mod"
	"github.com/gorilla/mux v1.7.3/go.mod"
	"github.com/gorilla/securecookie v1.1.1/go.mod"
	"github.com/hashicorp/go-version v1.2.0/go.mod"
	"github.com/hashicorp/go-version v1.2.0"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hinshun/vt10x v0.0.0-20180616224451-1954e6464174/go.mod"
	"github.com/hinshun/vt10x v0.0.0-20180616224451-1954e6464174"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0"
	"github.com/jessevdk/go-flags v1.4.0/go.mod"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51/go.mod"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/pty v1.1.4/go.mod"
	"github.com/kr/pty v1.1.4"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kr/text v0.1.0"
	"github.com/magiconair/properties v1.8.0/go.mod"
	"github.com/mattn/go-colorable v0.0.9/go.mod"
	"github.com/mattn/go-colorable v0.1.2/go.mod"
	"github.com/mattn/go-colorable v0.1.2"
	"github.com/mattn/go-isatty v0.0.4/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.9/go.mod"
	"github.com/mattn/go-isatty v0.0.9"
	"github.com/mgutz/ansi v0.0.0-20170206155736-9520e82c474b/go.mod"
	"github.com/mgutz/ansi v0.0.0-20170206155736-9520e82c474b"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-wordwrap v1.0.0/go.mod"
	"github.com/mitchellh/go-wordwrap v1.0.0"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/Netflix/go-expect v0.0.0-20180615182759-c93bf25de8e8/go.mod"
	"github.com/Netflix/go-expect v0.0.0-20180615182759-c93bf25de8e8"
	"github.com/nkovacs/streamquote v0.0.0-20170412213628-49af9bddb229/go.mod"
	"github.com/pelletier/go-toml v1.2.0/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.8.1"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/russross/blackfriday v1.5.2/go.mod"
	"github.com/russross/blackfriday v1.5.2"
	"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
	"github.com/russross/blackfriday/v2 v2.0.1"
	"github.com/sergi/go-diff v1.0.0/go.mod"
	"github.com/sergi/go-diff v1.0.0"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0"
	"github.com/spf13/afero v1.1.2/go.mod"
	"github.com/spf13/cast v1.3.0/go.mod"
	"github.com/spf13/cobra v0.0.5/go.mod"
	"github.com/spf13/cobra v0.0.5"
	"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/spf13/pflag v1.0.3"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/spf13/pflag v1.0.5"
	"github.com/spf13/viper v1.3.2/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/testify v1.2.1/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.3.0"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.4.0"
	"github.com/tj/assert v0.0.0-20190920132354-ee03d75cd160/go.mod"
	"github.com/tj/assert v0.0.0-20190920132354-ee03d75cd160"
	"github.com/tj/go-css v0.0.0-20191108133013-220a796d1705/go.mod"
	"github.com/tj/go-css v0.0.0-20191108133013-220a796d1705"
	"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
	"github.com/valyala/bytebufferpool v1.0.0/go.mod"
	"github.com/valyala/fasttemplate v1.0.1/go.mod"
	"github.com/vilmibm/go-termd v0.0.4/go.mod"
	"github.com/vilmibm/go-termd v0.0.4"
	"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190530122614-20be4c3c3ed5/go.mod"
	"golang.org/x/crypto v0.0.0-20190530122614-20be4c3c3ed5"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/sys v0.0.0-20181128092732-4ed8d59d0b35/go.mod"
	"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190530182044-ad28b68e88f1/go.mod"
	"golang.org/x/sys v0.0.0-20190813064441-fde4db37ae7a/go.mod"
	"golang.org/x/sys v0.0.0-20190813064441-fde4db37ae7a"
	"golang.org/x/text v0.3.0/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.2"
	"gopkg.in/yaml.v3 v3.0.0-20191010095647-fc94e3f71652/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20191010095647-fc94e3f71652"
	)
go-module_set_globals
SRC_URI="https://github.com/cli/cli/archive/v${PV}.tar.gz -> ${P}.tar.gz
		${EGO_SUM_SRC_URI}"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND=">=dev-vcs/git-1.7.3"
BDEPEND=">=dev-lang/go-1.13"
GOPATH="${WORKDIR}"

src_compile() {
	# Golang LDFLAGS are not the same as GCC/Binutils LDFLAGS
	emake bin/gh GH_VERSION=${PV} LDFLAGS=""
}

src_test() {
	emake test
}

src_install() {
	dobin bin/gh
	dodoc README.md
}
